# Spectat::Jekyll

Welcome to your new gem! In this directory, you'll find the files you need to be able to package up your Ruby library into a gem. Put your Ruby code in the file `lib/spectat/jekyll`. To experiment with that code, run `bin/console` for an interactive prompt.

TODO: Delete this and the text above, and describe your gem

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'spectat-jekyll'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install spectat-jekyll

## Usage

### Capistrano Config

Create a file `Capfile`:

```ruby
require 'spectat/jekyll/deploy'
```

Create the `config` directory:

```
$ mkdir config
```

For instance, given an FQDN `www.spectatdesigns.co.uk`, sourced from https://gitlab.com/spectat/spectat/spectatdesigns.co.uk/, create the file `config/deploy.rb`:

```ruby
set :application, 'www.spectatdesigns.co.uk'
set :full_repo_path, 'spectat/spectat/spectatdesigns.co.uk'
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/spectat-jekyll.
